aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-test-base/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-28 15:26:59 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-28 15:26:59 +0000
commit7aa43af55f54c54868ace5007ff4bde1d6ab1fe6 (patch)
tree4a48f4b31afc21cfbea8e9f8ea56439d6c23efa1 /testing/perl-test-base/APKBUILD
parent1432feb61dc57dde0b9f1537f6d3d0da3c71794e (diff)
downloadaports-7aa43af55f54c54868ace5007ff4bde1d6ab1fe6.tar.gz
aports-7aa43af55f54c54868ace5007ff4bde1d6ab1fe6.tar.bz2
aports-7aa43af55f54c54868ace5007ff4bde1d6ab1fe6.tar.xz
testing/perl-test-base: new aport
Diffstat (limited to 'testing/perl-test-base/APKBUILD')
-rw-r--r--testing/perl-test-base/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-test-base/APKBUILD b/testing/perl-test-base/APKBUILD
new file mode 100644
index 0000000000..7794a4076a
--- /dev/null
+++ b/testing/perl-test-base/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-test-base
+_pkgreal=Test-Base
+pkgver=0.88
+pkgrel=0
+pkgdesc="A Data Driven Testing Framework"
+url="http://search.cpan.org/dist/Test-Base/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-spiffy"
+cpanmakedepends=" perl-text-diff perl-algorithm-diff "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/I/IN/INGY/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="ced0cd86b099f9fd2cd73df1f46ab5e9 Test-Base-0.88.tar.gz"
+sha256sums="52368cc5a9cbbc4eaba33ed820672f92001b73d8bcba0bb95d5fdb1d370b9039 Test-Base-0.88.tar.gz"
+sha512sums="59725ce38a55a82a336942ea36c0782560d4b3b04fbe6e4550f6e21074f18d622325d87bb2d7db0475b58999d8f9ee55579c4349004a5434b3c1980366dd71df Test-Base-0.88.tar.gz"